:root {
    color-scheme: dark;
}

* {
    box-sizing: border-box;
}

*> :first-child {
    margin-top: 0;
}

*> :last-child {
    margin-bottom: 0;
}

html, body {
    margin: 0;
    padding: 0;
}

body {
    min-height: 100vh;
}

p {
    font-size: 16px;
    line-height: 22px;
}

h1,
h2,
h3,
h3,
h4,
h5,
h6 {
    margin-top: 16px;
    margin-bottom: 16px;
}

button {
    background-color: #5865f2;
    outline: unset;
    border: unset;
    border-radius: 2px;
    padding: 2px 6px;
    color: #f1f1f1;
}

button:hover {
    background-color: #454fbf;
}

a {
    text-decoration: none;
    color: #00aff4;
    outline: none;
}

a:visited {
    color: #00aff4;
}

a:focus-visible {
    outline-style: solid;
    outline-color: currentColor;
    outline-width: 2px;
    outline-offset: 1px;
    border-radius: 3px;
}

a:hover,
a:active {
    text-decoration: underline;
}

.content {
    padding: 1rem;
}
